#include <windows.h>

// Defining this macro will only affect the GCC compiler and can reduce the size of the utility. As soon as you define it you have to add these linker options:
//   -Wl,-e,__start -nostartfiles
#define USE_START

#if defined(USE_START) && defined(__GNUC__) && !defined(_MSC_VER)
#  define QUIT(_status) ExitProcess((UINT)(_status))
#  ifdef __i386
void _start(void);
void _start(void)
#  else
void __start(void);
void __start(void)
#  endif
#else
#  define QUIT(_status) return (_status)
int main(void)
#endif
{
  int argc;
  wchar_t **argv = CommandLineToArgvW(GetCommandLineW(), &argc);
  if (argc > 1 && argv[1][0] == L'1' && argv[1][1] == L'\0')
  {
    LocalFree(argv);
    QUIT(99);
  }
  LocalFree(argv);
  HWND hWnd;
  HMENU hMenu;
  if (((hWnd = GetConsoleWindow()) != NULL)) {
    hMenu = GetSystemMenu(hWnd, FALSE);
    EnableMenuItem(hMenu, SC_CLOSE, MF_BYCOMMAND | MF_GRAYED);
  }
  QUIT(0);
}
